Loading...
Searching...
No Matches
RGroupDecompParams.h File Reference
`#include "../RDKitBase.h"`
`#include <GraphMol/Substruct/SubstructMatch.h>`

Go to the source code of this file.

## Classes

struct | RDKit::RGroupDecompositionParameters

## Namespaces

namespace | RDKit
| Std stuff.

## Macros

#define | RGROUPLABELS_ENUM_ITEMS
#define | RGROUPMATCHING_ENUM_ITEMS
#define | RGROUPLABELLING_ENUM_ITEMS
#define | RGROUPCOREALIGNMENT_ENUM_ITEMS
#define | RGROUPSCORE_ENUM_ITEMS
#define | RGD_ENUM_ITEM(k, v) k = v,
#define | RGD_STD_MAP_ITEM(k) {#k, k},
#define | RGD_ENUM_ITEM(k, v) RGD_STD_MAP_ITEM(k)

## Enumerations

enum | RDKit::RGroupLabels { RDKit::RGROUPLABELS_ENUM_ITEMS }
enum | RDKit::RGroupMatching { RDKit::RGROUPMATCHING_ENUM_ITEMS }
enum | RDKit::RGroupLabelling { RDKit::RGROUPLABELLING_ENUM_ITEMS }
enum | RDKit::RGroupCoreAlignment { RDKit::RGROUPCOREALIGNMENT_ENUM_ITEMS }
enum | RDKit::RGroupScore { RDKit::RGROUPSCORE_ENUM_ITEMS }

## Functions

void | RDKit::updateRGroupDecompositionParametersFromJSON (RGroupDecompositionParameters &params, const std::string &details_json)
void | RDKit::updateRGroupDecompositionParametersFromJSON (RGroupDecompositionParameters &params, const char *details_json)

## Macro Definition Documentation

## RGD_ENUM_ITEM [1/2]

#define RGD_ENUM_ITEM | ( |  | k,
|  |  | v
| ) |  | k = v,

Definition at line 50 of file RGroupDecompParams.h.

## RGD_ENUM_ITEM [2/2]

#define RGD_ENUM_ITEM | ( |  | k,
|  |  | v
| ) |  | RGD_STD_MAP_ITEM(k)

Definition at line 50 of file RGroupDecompParams.h.

## RGD_STD_MAP_ITEM

#define RGD_STD_MAP_ITEM | ( |  | k | ) | {#k, k},

Definition at line 61 of file RGroupDecompParams.h.

## RGROUPCOREALIGNMENT_ENUM_ITEMS

#define RGROUPCOREALIGNMENT_ENUM_ITEMS

Value:
RGD_ENUM_ITEM(NoAlignment, 0) \
RGD_ENUM_ITEM(MCS, 1 << 0)
RGD_ENUM_ITEM
#define RGD_ENUM_ITEM(k, v)
Definition RGroupDecompParams.h:50

Definition at line 42 of file RGroupDecompParams.h.

## RGROUPLABELLING_ENUM_ITEMS

#define RGROUPLABELLING_ENUM_ITEMS

Value:
RGD_ENUM_ITEM(AtomMap, 1 << 0) \
RGD_ENUM_ITEM(Isotope, 1 << 1) \
RGD_ENUM_ITEM(MDLRGroup, 1 << 2)

Definition at line 37 of file RGroupDecompParams.h.

## RGROUPLABELS_ENUM_ITEMS

#define RGROUPLABELS_ENUM_ITEMS

Value:
RGD_ENUM_ITEM(IsotopeLabels, 1 << 0) \
RGD_ENUM_ITEM(AtomMapLabels, 1 << 1) \
RGD_ENUM_ITEM(AtomIndexLabels, 1 << 2) \
RGD_ENUM_ITEM(RelabelDuplicateLabels, 1 << 3) \
RGD_ENUM_ITEM(MDLRGroupLabels, 1 << 4) \
RGD_ENUM_ITEM(DummyAtomLabels, \
1 << 5) /* These are rgroups but will get relabelled */ \
RGD_ENUM_ITEM(AutoDetect, 0xFF)

Definition at line 20 of file RGroupDecompParams.h.

## RGROUPMATCHING_ENUM_ITEMS

#define RGROUPMATCHING_ENUM_ITEMS

Value:
RGD_ENUM_ITEM(Greedy, 1 << 0) \
RGD_ENUM_ITEM(GreedyChunks, 1 << 1) \
RGD_ENUM_ITEM(Exhaustive, 1 << 2) /* not really useful for large sets */ \
RGD_ENUM_ITEM(NoSymmetrization, 1 << 3) \
RGD_ENUM_ITEM(GA, 1 << 4)

Definition at line 30 of file RGroupDecompParams.h.

## RGROUPSCORE_ENUM_ITEMS

#define RGROUPSCORE_ENUM_ITEMS

Value:
RGD_ENUM_ITEM(Match, 1 << 0) \
RGD_ENUM_ITEM(FingerprintVariance, 1 << 2)

Definition at line 46 of file RGroupDecompParams.h.